# Define rpmbuild macros
Name: persistman 
Summary: Provides the persistence manager API.
Version: 1.7
Release: 2.2.moblin2
License: LGPL
Group: System Environment/Libraries
Vendor: Wind River Systems
Source: persistman-1.7.tar.gz 
BuildRequires: sqlite-devel
Requires: sqlite
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch1: buildfix.patch

%description
Allows applications a single common interface for storing values in a persistent data store.  Provides headers for developing programs that will use %{name}

%package devel
Summary: persistence manager API headers
Group: Development/Libraries
Requires: %{name} >= %{version}

%description devel
Persistence manager API headers


%prep
%setup -q 
%patch1 -p1 -b .buildfix

%build
make

%install
mkdir -p $RPM_BUILD_ROOT/usr/lib
mkdir -p $RPM_BUILD_ROOT/usr/include
mkdir -p $RPM_BUILD_ROOT/usr/bin
install -D -m 644 libpersistman.so.1.0 $RPM_BUILD_ROOT/usr/lib/libpersistman.so.1.0
install -D -m 644 persistman.h $RPM_BUILD_ROOT/usr/include/persistman.h
install -D -m 755 persist-test $RPM_BUILD_ROOT/usr/bin/persist-test
ln -s -f libpersistman.so.1.0 $RPM_BUILD_ROOT/usr/lib/libpersistman.so

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files 
%defattr(0644,root,root)
%{_libdir}/libpersistman.so.1.0
%attr(0755,root,root) %{_bindir}/persist-test

%files devel
%{_libdir}/libpersistman.so
%{_includedir}/persistman.h
%changelog
* Thu May  7 2009 Arjan van de Ven <arjan@linux.intel.com> 1.7
- fix makefile for LD_AS_NEEDED
* Thu Oct 30 2008 Shane Bryan <shane.bryan@linux.intel.com>
- Updated to latest release package (1.7) and improved spec file
* Tue Sep 30 2008 Ramesh Caushik <ramesh.caushik@intel.com>
- Fixed spec file to build OK.
* Tue Sep  2 2008 Anas Nashif <anas.nashif@intel.com> 
- initial import
* Tue Jul 29 2008 Ramesh Caushik <ramesh.caushik@intel.com> 
- Initial spec file drived from source package.
